package val.games.paperotte;

import val.gp2x.GP2x;

public interface GameData
{
  /**
   * initialization ok
   */
  public static final int GAMEDATA_OK = 0xE0;
  /**
   * initialization failed
   */
  public static final int GAMEDATA_KO = 0xE1;
  
  /**
   * Initialize the shared game data instance
   * @param gp2x
   * @return an exit code
   */
  public int initialize(GP2x gp2x);
  
  /**
   * Resets this instance like just after be initialized
   * @param gp2x
   * @return and exit code
   */
  public int reset(GP2x gp2x);
}
