package val.gp2x;

import java.io.File;
import java.io.FileFilter;
import java.util.Comparator;

public class MyFileNameChecker implements Comparator, FileFilter
{
  public int compare(Object o1, Object o2)
  {
    File a = (File)o1;
    File b = (File)o2;

    if (a.isDirectory() && !b.isDirectory())
      return -1;
    if (!a.isDirectory() && b.isDirectory())
      return 1;
    
    return a.getName().compareTo(b.getName());
  }
  
  public boolean accept(File pathname)
  {
    return pathname.isDirectory() || pathname.getName().equals("launcher.properties");
  }
  
}
