/*
    $Id: SynclastImage.java,v 1.2 2005/11/17 17:52:03 val Exp $

    This file is part of the Synclast UI API.

    The Synclast UI API is free software; you can redistribute it
    and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    The Synclast UI API is distributed in the hope that it will be
    useful, but WITHOUT ANY WARRANTY; without even the implied
    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the Synclast UI API; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.synclast.ui;

import com.synclast.Image;

/**
 * Allows a MIDP Image object to be used as a Synclast widget.
 */
public class SynclastImage extends ColoredWidget {
    // Workaround for MIDP 1.0 .class access
    public static Class _class = new SynclastImage().getClass();
    private SynclastImage() { }

    public SynclastImage(Image image) {
      this.backgroundImage = image;
      w = image.getWidth();
      h = image.getHeight();
    }
}
