package val.games.paperotte;

import java.util.Random;

import sdljava.SDLException;
import sdljava.mixer.MixChunk;
import sdljava.mixer.SDLMixer;



public class Sound
{
  static Random random = new Random(System.currentTimeMillis());
  
  private MixChunk sample;
  
  public Sound(String samplePath)
  {
    try
    {
      this.sample = SDLMixer.loadWAV(samplePath);
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }

  public void playOnce()
  {
    try
    {
      int channelId = -1; // -1: choose by yourself
      int loops = 0; // zero loops, play once
      SDLMixer.playChannel(channelId, this.sample, loops);
    }
    catch (SDLException e)
    {
      e.printStackTrace();
    }
  }

  public void playTwice()
  {
    try
    {
      int channelId = -1; // -1: choose by yourself
      int loops = 1; // one loop, play twice
      SDLMixer.playChannel(channelId, this.sample, loops);
    }
    catch (SDLException e)
    {
      e.printStackTrace();
    }
  }

}
