package val.games.paperotte.functions;

public class BaseWave implements Function
{
  protected static final int X_CENTER = 320/2;
  protected static final int Y_CENTER = 240/2;
  
  public int calculateNextX(int xpoint, int ypoint, int speed)
  {
    return xpoint + speed;
  }

  public int calculateNextY(int xpoint, int ypoint, int speed)
  {
    return (int)(Math.cos( Math.toRadians(xpoint) ) * 100) + 100;
  }

  public boolean willAppearOnScreen(int xpoint, int ypoint, int speed)
  {
    if (xpoint < 320)
      return true;
    
    return false;
  }

}
