package val.games.paperotte.functions;

public class SpiralWave extends BaseWave
{
  private int t = 0;
  
  /**
   * X and Y are zero based on upper left corner
   */
  public int calculateNextX(int xpoint, int ypoint, int speed)
  {
    t += speed;
    
    xpoint = (int)( 40 * (Math.cos(Math.toRadians(t)) * (Math.toRadians(t)/10)) );
    
    // change the zero to the center of the screen
    return xpoint + X_CENTER;
  }

  public int calculateNextY(int xpoint, int ypoint, int speed)
  {
    ypoint = (int)( 40 * Math.sin(Math.toRadians(t)) );
    
    // change the zero to the center of the screen
    return ypoint + Y_CENTER;
  }

}
